/*
 * Return string coresponding to given errval (usualy errno)
 * Michal Ludvig <mic@bigfoot.com>
 * 17 Nov 1996
 * derived from linux-2.0.18/include/asm-i386/errno.h
 */

#include "mic.h"

const char *errstr(int errval)
{
	char	*estr;
	
	switch (errval)
	{
	case 1:		estr="EPERM";
			break;

	case 2:		estr="ENOENT";
			break;

	case 3:		estr="ESRCH";
			break;

	case 4:		estr="EINTR";
			break;

	case 5:		estr="EIO";
			break;

	case 6:		estr="ENXIO";
			break;

	case 7:		estr="E2BIG";
			break;

	case 8:		estr="ENOEXEC";
			break;

	case 9:		estr="EBADF";
			break;

	case 10:	estr="ECHILD";
			break;

	case 11:	estr="EAGAIN";
			break;

	case 12:	estr="ENOMEM";
			break;

	case 13:	estr="EACCES";
			break;

	case 14:	estr="EFAULT";
			break;

	case 15:	estr="ENOTBLK";
			break;

	case 16:	estr="EBUSY";
			break;

	case 17:	estr="EEXIST";
			break;

	case 18:	estr="EXDEV";
			break;

	case 19:	estr="ENODEV";
			break;

	case 20:	estr="ENOTDIR";
			break;

	case 21:	estr="EISDIR";
			break;

	case 22:	estr="EINVAL";
			break;

	case 23:	estr="ENFILE";
			break;

	case 24:	estr="EMFILE";
			break;

	case 25:	estr="ENOTTY";
			break;

	case 26:	estr="ETXTBSY";
			break;

	case 27:	estr="EFBIG";
			break;

	case 28:	estr="ENOSPC";
			break;

	case 29:	estr="ESPIPE";
			break;

	case 30:	estr="EROFS";
			break;

	case 31:	estr="EMLINK";
			break;

	case 32:	estr="EPIPE";
			break;

	case 33:	estr="EDOM";
			break;

	case 34:	estr="ERANGE";
			break;

	case 35:	estr="EDEADLK";
			break;

	case 36:	estr="ENAMETOOLONG";
			break;

	case 37:	estr="ENOLCK";
			break;

	case 38:	estr="ENOSYS";
			break;

	case 39:	estr="ENOTEMPTY";
			break;

	case 40:	estr="ELOOP";
			break;

	case 42:	estr="ENOMSG";
			break;

	case 43:	estr="EIDRM";
			break;

	case 44:	estr="ECHRNG";
			break;

	case 45:	estr="EL2NSYNC";
			break;

	case 46:	estr="EL3HLT";
			break;

	case 47:	estr="EL3RST";
			break;

	case 48:	estr="ELNRNG";
			break;

	case 49:	estr="EUNATCH";
			break;

	case 50:	estr="ENOCSI";
			break;

	case 51:	estr="EL2HLT";
			break;

	case 52:	estr="EBADE";
			break;

	case 53:	estr="EBADR";
			break;

	case 54:	estr="EXFULL";
			break;

	case 55:	estr="ENOANO";
			break;

	case 56:	estr="EBADRQC";
			break;

	case 57:	estr="EBADSLT";
			break;

	case 59:	estr="EBFONT";
			break;

	case 60:	estr="ENOSTR";
			break;

	case 61:	estr="ENODATA";
			break;

	case 62:	estr="ETIME";
			break;

	case 63:	estr="ENOSR";
			break;

	case 64:	estr="ENONET";
			break;

	case 65:	estr="ENOPKG";
			break;

	case 66:	estr="EREMOTE";
			break;

	case 67:	estr="ENOLINK";
			break;

	case 68:	estr="EADV";
			break;

	case 69:	estr="ESRMNT";
			break;

	case 70:	estr="ECOMM";
			break;

	case 71:	estr="EPROTO";
			break;

	case 72:	estr="EMULTIHOP";
			break;

	case 73:	estr="EDOTDOT";
			break;

	case 74:	estr="EBADMSG";
			break;

	case 75:	estr="EOVERFLOW";
			break;

	case 76:	estr="ENOTUNIQ";
			break;

	case 77:	estr="EBADFD";
			break;

	case 78:	estr="EREMCHG";
			break;

	case 79:	estr="ELIBACC";
			break;

	case 80:	estr="ELIBBAD";
			break;

	case 81:	estr="ELIBSCN";
			break;

	case 82:	estr="ELIBMAX";
			break;

	case 83:	estr="ELIBEXEC";
			break;

	case 84:	estr="EILSEQ";
			break;

	case 85:	estr="ERESTART";
			break;

	case 86:	estr="ESTRPIPE";
			break;

	case 87:	estr="EUSERS";
			break;

	case 88:	estr="ENOTSOCK";
			break;

	case 89:	estr="EDESTADDRREQ";
			break;

	case 90:	estr="EMSGSIZE";
			break;

	case 91:	estr="EPROTOTYPE";
			break;

	case 92:	estr="ENOPROTOOPT";
			break;

	case 93:	estr="EPROTONOSUPPORT";
			break;

	case 94:	estr="ESOCKTNOSUPPORT";
			break;

	case 95:	estr="EOPNOTSUPP";
			break;

	case 96:	estr="EPFNOSUPPORT";
			break;

	case 97:	estr="EAFNOSUPPORT";
			break;

	case 98:	estr="EADDRINUSE";
			break;

	case 99:	estr="EADDRNOTAVAIL";
			break;

	case 100:	estr="ENETDOWN";
			break;

	case 101:	estr="ENETUNREACH";
			break;

	case 102:	estr="ENETRESET";
			break;

	case 103:	estr="ECONNABORTED";
			break;

	case 104:	estr="ECONNRESET";
			break;

	case 105:	estr="ENOBUFS";
			break;

	case 106:	estr="EISCONN";
			break;

	case 107:	estr="ENOTCONN";
			break;

	case 108:	estr="ESHUTDOWN";
			break;

	case 109:	estr="ETOOMANYREFS";
			break;

	case 110:	estr="ETIMEDOUT";
			break;

	case 111:	estr="ECONNREFUSED";
			break;

	case 112:	estr="EHOSTDOWN";
			break;

	case 113:	estr="EHOSTUNREACH";
			break;

	case 114:	estr="EALREADY";
			break;

	case 115:	estr="EINPROGRESS";
			break;

	case 116:	estr="ESTALE";
			break;

	case 117:	estr="EUCLEAN";
			break;

	case 118:	estr="ENOTNAM";
			break;

	case 119:	estr="ENAVAIL";
			break;

	case 120:	estr="EISNAM";
			break;

	case 121:	estr="EREMOTEIO";
			break;

	case 122:	estr="EDQUOT";
			break;

	default:	estr="Unknown error";
			break;
	}
	return estr;
}
