/*
 * Return verbose string coresponding to given errval (usualy errno)
 * Michal Ludvig <mic@bigfoot.com>
 * 17 Nov 1996
 * derived from linux-2.0.18/include/asm-i386/errno.h
 */

#include "mic.h"

const char *errverb(int errval)
{
	char	*estr;
	
	switch (errval)
	{
	case 1:		estr="Operation not permitted";
			break;

	case 2:		estr="No such file or directory";
			break;

	case 3:		estr="No such process";
			break;

	case 4:		estr="Interrupted system call";
			break;

	case 5:		estr="I/O error";
			break;

	case 6:		estr="No such device or address";
			break;

	case 7:		estr="Arg list too long";
			break;

	case 8:		estr="Exec format error";
			break;

	case 9:		estr="Bad file number";
			break;

	case 10:	estr="No child processes";
			break;

	case 11:	estr="Try again";
			break;

	case 12:	estr="Out of memory";
			break;

	case 13:	estr="Permission denied";
			break;

	case 14:	estr="Bad address";
			break;

	case 15:	estr="Block device required";
			break;

	case 16:	estr="Device or resource busy";
			break;

	case 17:	estr="File exists";
			break;

	case 18:	estr="Cross-device link";
			break;

	case 19:	estr="No such device";
			break;

	case 20:	estr="Not a directory";
			break;

	case 21:	estr="Is a directory";
			break;

	case 22:	estr="Invalid argument";
			break;

	case 23:	estr="File table overflow";
			break;

	case 24:	estr="Too many open files";
			break;

	case 25:	estr="Not a typewriter";
			break;

	case 26:	estr="Text file busy";
			break;

	case 27:	estr="File too large";
			break;

	case 28:	estr="No space left on device";
			break;

	case 29:	estr="Illegal seek";
			break;

	case 30:	estr="Read-only file system";
			break;

	case 31:	estr="Too many links";
			break;

	case 32:	estr="Broken pipe";
			break;

	case 33:	estr="Math argument out of domain of func";
			break;

	case 34:	estr="Math result not representable";
			break;

	case 35:	estr="Resource deadlock would occur";
			break;

	case 36:	estr="File name too long";
			break;

	case 37:	estr="No record locks available";
			break;

	case 38:	estr="Function not implemented";
			break;

	case 39:	estr="Directory not empty";
			break;

	case 40:	estr="Too many symbolic links encountered";
			break;

	case 42:	estr="No message of desired type";
			break;

	case 43:	estr="Identifier removed";
			break;

	case 44:	estr="Channel number out of range";
			break;

	case 45:	estr="Level 2 not synchronized";
			break;

	case 46:	estr="Level 3 halted";
			break;

	case 47:	estr="Level 3 reset";
			break;

	case 48:	estr="Link number out of range";
			break;

	case 49:	estr="Protocol driver not attached";
			break;

	case 50:	estr="No CSI structure available";
			break;

	case 51:	estr="Level 2 halted";
			break;

	case 52:	estr="Invalid exchange";
			break;

	case 53:	estr="Invalid request descriptor";
			break;

	case 54:	estr="Exchange full";
			break;

	case 55:	estr="No anode";
			break;

	case 56:	estr="Invalid request code";
			break;

	case 57:	estr="Invalid slot";
			break;

	case 59:	estr="Bad font file format";
			break;

	case 60:	estr="Device not a stream";
			break;

	case 61:	estr="No data available";
			break;

	case 62:	estr="Timer expired";
			break;

	case 63:	estr="Out of streams resources";
			break;

	case 64:	estr="Machine is not on the network";
			break;

	case 65:	estr="Package not installed";
			break;

	case 66:	estr="Object is remote";
			break;

	case 67:	estr="Link has been severed";
			break;

	case 68:	estr="Advertise error";
			break;

	case 69:	estr="Srmount error";
			break;

	case 70:	estr="Communication error on send";
			break;

	case 71:	estr="Protocol error";
			break;

	case 72:	estr="Multihop attempted";
			break;

	case 73:	estr="RFS specific error";
			break;

	case 74:	estr="Not a data message";
			break;

	case 75:	estr="Value too large for defined data type";
			break;

	case 76:	estr="Name not unique on network";
			break;

	case 77:	estr="File descriptor in bad state";
			break;

	case 78:	estr="Remote address changed";
			break;

	case 79:	estr="Can not access a needed shared library";
			break;

	case 80:	estr="Accessing a corrupted shared library";
			break;

	case 81:	estr=".lib section in a.out corrupted";
			break;

	case 82:	estr="Attempting to link in too many shared libraries";
			break;

	case 83:	estr="Cannot exec a shared library directly";
			break;

	case 84:	estr="Illegal byte sequence";
			break;

	case 85:	estr="Interrupted system call should be restarted";
			break;

	case 86:	estr="Streams pipe error";
			break;

	case 87:	estr="Too many users";
			break;

	case 88:	estr="Socket operation on non-socket";
			break;

	case 89:	estr="Destination address required";
			break;

	case 90:	estr="Message too long";
			break;

	case 91:	estr="Protocol wrong type for socket";
			break;

	case 92:	estr="Protocol not available";
			break;

	case 93:	estr="Protocol not supported";
			break;

	case 94:	estr="Socket type not supported";
			break;

	case 95:	estr="Operation not supported on transport endpoint";
			break;

	case 96:	estr="Protocol family not supported";
			break;

	case 97:	estr="Address family not supported by protocol";
			break;

	case 98:	estr="Address already in use";
			break;

	case 99:	estr="Cannot assign requested address";
			break;

	case 100:	estr="Network is down";
			break;

	case 101:	estr="Network is unreachable";
			break;

	case 102:	estr="Network dropped connection because of reset";
			break;

	case 103:	estr="Software caused connection abort";
			break;

	case 104:	estr="Connection reset by peer";
			break;

	case 105:	estr="No buffer space available";
			break;

	case 106:	estr="Transport endpoint is already connected";
			break;

	case 107:	estr="Transport endpoint is not connected";
			break;

	case 108:	estr="Cannot send after transport endpoint shutdown";
			break;

	case 109:	estr="Too many references: cannot splice";
			break;

	case 110:	estr="Connection timed out";
			break;

	case 111:	estr="Connection refused";
			break;

	case 112:	estr="Host is down";
			break;

	case 113:	estr="No route to host";
			break;

	case 114:	estr="Operation already in progress";
			break;

	case 115:	estr="Operation now in progress";
			break;

	case 116:	estr="Stale NFS file handle";
			break;

	case 117:	estr="Structure needs cleaning";
			break;

	case 118:	estr="Not a XENIX named type file";
			break;

	case 119:	estr="No XENIX semaphores available";
			break;

	case 120:	estr="Is a named type file";
			break;

	case 121:	estr="Remote I/O error";
			break;

	case 122:	estr="Quota exceeded";
			break;

	default:	estr="Unknown error";
			break;
	}
	return estr;
}
